/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controleur_vue;

import javax.inject.Named;
import javax.enterprise.context.SessionScoped;
import java.io.Serializable;
import javax.ejb.EJB;
import metier.gestionClients.Client;
import metier.gestionClients.ClientsManager;

/**
 *
 * @author michel
 */
@Named("loginMBean")
@SessionScoped
public class SessionPasserCommande implements Serializable {
    @EJB
    ClientsManager cm;
    
    private Client client;
    private String pseudo;
    private String motDePasse;
    private boolean connected = false;
    private String message = "Veuillez vous identifier :";

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getLogin() {
        return pseudo;
    }

    public void setLogin(String login) {
        this.pseudo = login;
    }

    public String getPassword() {
        return motDePasse;
    }

    public void setPassword(String password) {
        this.motDePasse = password;
    }

    public boolean isConnected() {
        return connected;
    }

    public void setConnected(boolean connected) {
        this.connected = connected;
    }

    public Client getUtilisateur() {
        return client;
    }

    public void setUtilisateur(Client utilisateur) {
        this.client = utilisateur;
    }

    /** Creates a new instance of LoginMBean */
    public SessionPasserCommande() {
    }

    public void deconnexion() {
        connected = false;
        message = "Veuillez vous identifier :";
    }

    public void traiterIdentification() {
        // Normalement à partir du login on devrait demander à l'ejb
        // gestionnaireUtilisateur de chercher dans la BD et retourner un 
        // utilisateur qu'on met dans la propriété utilisateur.
        // Là on simule...
        System.out.println("DANS TRAITER ID");
        //Client c = cm.rechercherClientParPseudo(pseudo, motDePasse);
        
        connected = (pseudo.equals("michel") && motDePasse.equals("toto"));
        if (connected) {
            message = "Bienvenue, vous êtes connecté en tant que " + pseudo + " ! ";
        } else {
            message = "Mauvais login/password, veuillez recommencer !";
        }
       
    }
}
